Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class CompressedData

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cms.CompressedData

All Implemented Interfaces:
  DEREncodable

public class CompressedData
extends ASN1Encodable

RFC 3274 - CMS Compressed Data.

     CompressedData ::= SEQUENCE {
      version CMSVersion,
      compressionAlgorithm CompressionAlgorithmIdentifier,
      encapContentInfo EncapsulatedContentInfo
     }

Constructor Summary
`CompressedData(AlgorithmIdentifier compressionAlgorithm, ContentInfo encapContentInfo)`
`CompressedData(ASN1Sequence seq)`

Method Summary
`AlgorithmIdentifier` | `getCompressionAlgorithmIdentifier()`
`ContentInfo` | `getEncapContentInfo()`
`static CompressedData` | `getInstance(ASN1TaggedObject _ato, boolean _explicit)` return a CompressedData object from a tagged object.
`static CompressedData` | `getInstance(java.lang.Object _obj)` return a CompressedData object from the given object.
`DERInteger` | `getVersion()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompressedData

    public CompressedData(AlgorithmIdentifier compressionAlgorithm,
                          ContentInfo encapContentInfo)

### CompressedData

    public CompressedData(ASN1Sequence seq)

Method Detail

### getInstance

    public static CompressedData getInstance(ASN1TaggedObject _ato,
                                             boolean _explicit)

  return a CompressedData object from a tagged object.

  Parameters:
    `_ato` - the tagged object holding the object we want.
    `_explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static CompressedData getInstance(java.lang.Object _obj)

  return a CompressedData object from the given object.

  Parameters:
    `_obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getVersion

    public DERInteger getVersion()

### getCompressionAlgorithmIdentifier

    public AlgorithmIdentifier getCompressionAlgorithmIdentifier()

### getEncapContentInfo

    public ContentInfo getEncapContentInfo()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD